Scientific Linux Security Update : selinux-policy on SL6.x i386/x86_64

High Nessus Plugin ID 61247


The remote Scientific Linux host is missing one or more security updates.


The selinux-policy packages contain the rules that govern how confined processes run on the system.

This update fixes the following bug :

- An incorrect SELinux policy prevented the qpidd service from starting. These selinux-policy packages contain updated SELinux rules, which allow the qpidd service to be started correctly.

- With SELinux in enforcing mode, the ssh-keygen utility was prevented from access to various applications and thus could not be used to generate SSH keys for these programs. With this update, the 'ssh_keygen_t' SELinux domain type has been implemented as unconfined, which ensures the ssh-keygen utility to work correctly.

All users of selinux-policy are advised to upgrade to these updated packages, which fix these bugs.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 61247

File Name: sl_20120213_selinux_policy_on_SL6_x.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2012/08/01

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2012/02/13